Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# TransformedRun Class Reference

Special class for comparing and clustering runs. More...

`#include <ImageProcessorUtilityClasses.h>`

Collaboration diagram for TransformedRun:

[legend]
List of all members.

## Public Member Functions
void | transform (const Run &run, const Matrix2x2< double > &rotMat, int numOfRun)
| Computes values.
## Public Attributes
Vector2< double > | start
| The first point.
Vector2< double > | end
| The last point.
int | numOfRun
| Number of corresponding real run.

## Detailed Description

Special class for comparing and clustering runs.

Definition at line 165 of file ImageProcessorUtilityClasses.h.

## Member Function Documentation

void TransformedRun::transform | ( | const Run & | run,
|  | const Matrix2x2< double > & | rotMat,
|  | int | numOfRun
| ) | `[inline]`

  | Computes values. Parameters:
  run | An original run
  rotMat | The rotation matrix
  numOfRun | The number of the transformed run
Definition at line 173 of file ImageProcessorUtilityClasses.h. References Run::end, Run::scanLineStart, Run::start, Vector2< int >::x, Vector2< double >::x, Vector2< int >::y, and Vector2< double >::y. Referenced by VLCBeaconDetector::clusterPinkBeaconParts(), SlamBeaconDetector::clusterPinkBeaconParts(), and GT2005BeaconDetector::clusterPinkBeaconParts().

## Member Data Documentation

Vector2<double> TransformedRun::start

| The first point. Definition at line 189 of file ImageProcessorUtilityClasses.h. Referenced by VLCBeaconDetector::clusterPinkBeaconParts(), SlamBeaconDetector::clusterPinkBeaconParts(), and GT2005BeaconDetector::clusterPinkBeaconParts().

Vector2<double> TransformedRun::end

| The last point. Definition at line 191 of file ImageProcessorUtilityClasses.h. Referenced by VLCBeaconDetector::clusterPinkBeaconParts(), SlamBeaconDetector::clusterPinkBeaconParts(), and GT2005BeaconDetector::clusterPinkBeaconParts().

int TransformedRun::numOfRun

| Number of corresponding real run. Definition at line 193 of file ImageProcessorUtilityClasses.h.

The documentation for this class was generated from the following file:

- Modules/ImageProcessor/ImageProcessorTools/ImageProcessorUtilityClasses.h